/* 全站所有元素使用 Noto Sans TC */
html, body, *:not(.fa):not(.fas):not(.far):not(.fab):not(.fal):not([class*="fa-"]) {
font-family: 'Noto Sans TC', sans-serif !important;
}


.ecolife .text-main-number {
    font-size: 26px;
    line-height: 1.4;
}

.ecolife .text-main-number.bold {
    font-weight: 800; 
}

.ecolife .text-main-number.medium {
    font-weight: 500; 
}


.badge.badge-ecolife {
    background-color: #FF9E1B;
    color: #FFFFFF;
}


.ecolife .text-main {
    font-size: 22px;
    font-weight: 600; 
    line-height: 1.4;
}

.ecolife .text-h2 {
    font-size: 16px;
    font-weight: 600; 
    line-height: 1.4;
}

.ecolife .text-h3 {
    font-size: 14px;
    line-height: 1.2;
}

.ecolife .text-info {
    font-size: 14px;
    line-height: 1;
}

.text-white {
    color: #FFFFFF;
}

.progress_bar {
    border-radius: 5px; 
    background-color: #d4eaed; 
    padding: 10px;
    font-size: 12px; 
    font-weight: 300;
    color: #0057B7;
}

.btn.btn-ecolife {
    background-color: #5CB8B2;
    color: #FFFFFF;
    border-radius: 200px !important;
    font-size: 14px;
    border-radius: 4px;
    padding: 3px 13px !important;
    border: none;
    font-size: 14px;
    margin-bottom: 0px;
}

.btn.btn-ecolife.alert {
    background-color: #FF9E1B;
    color: #FFFFFF;
}

.btn.btn-ecolife.info {
    background-color: #0057B7;
    color: #FFFFFF;
}

.btn.btn-ecolife.selected {
    border: 1px solid #0057B7;
    background-color: #0057B7;
    color: #FFFFFF !important;
}

.btn.btn-ecolife.unselected {
    border: 1px solid #0057B7;
    background-color: #FFFFFF;
    color: #0057B7 !important;
}

.btn.btn-ecolife.small {
    padding:3px 5px;
    font-size: 12px;
}

.ecolife.badge {
    /* background-color: #5CB8B2; */
    background-color: #FF9E1B;
    color: #FFFFFF;
}

.ecolife .bg-primary {
    background-color: #0057B7;
}

.ecolife .bg-tertiary {
    background-color: #5CB8B2;
}

.ecolife .bg-quaternary {
    background-color: #B7DDE1;
}


.ecolife .text-primary {
    color: #0057B7;
}

.ecolife .text-highlight {
    color: #FF9E1B;
}

.ecolife .text-secondary {
    color: #0093B2;
}

.ecolife .text-tertiary {
    color: #5CB8B2;
}

#div_footer {
	z-index: 9;
	display: flex;
	padding: 0px;
	height: 83px;
	position: fixed;
	text-align: center;
	bottom: 0px;
	left: 0px;
    border-top: 1px solid #666666;
}

#div_footer.div_customer {
	color: #59585c;
	background: #ffffff;
}

#div_footer .footer_btn {
	padding: 0px;
	color: #59585c;
	font-weight: 400;
	font-size: 14px;
}
#div_footer a:visited {
	text-decoration: none;
}


#div_footer .footer_btn.selected .text {
	/* color: #0057B7; */
	font-weight: 500;
    color: #fc5000;
}

#div_footer .footer_btn.selected img {
	/* -webkit-filter: drop-shadow(0px 0px 4px #000000);
	filter:  drop-shadow(0px 0px 4px #000000); */
    filter: invert(35%) sepia(96%) saturate(2893%) hue-rotate(359deg) brightness(103%) contrast(101%);
}



#div_footer .footer_btn .footer_index_line {
	height: 2px;
	margin-bottom: 4px;
}

#div_footer .footer_btn .footer_index_line img{
	height: 40px;
}

#div_footer a {
	color: #fff !important;
	flex: 2;
}

#div_footer a.footer_main_btn {
    flex: 3;
}

/* #div_footer a.footer_main_btn .footer_btn.selected .text {
	color: #FFFFFF;
	font-weight: 500;
} */

/* #div_footer a.footer_main_btn .footer_btn {
	padding: 0px;
	color: #FFFFFF;
	font-weight: 400;
	font-size: 12px;
} */

#div_footer a.footer_main_btn .footer_btn img {
	width: 40px;
}


#div_footer .footer_btn img {
	width: 25px;
	/* filter: brightness(0) saturate(100%) invert(21%) sepia(99%) saturate(2937%) hue-rotate(204deg) brightness(97%) contrast(101%); */
    /* filter: invert(21%) sepia(99%) saturate(2937%) hue-rotate(204deg) brightness(97%) contrast(101%); */
}

.ml-2 {
    margin-left: 2rem;
}

.ml-3 {
    margin-left: 3rem;
}

#result_mask {
	z-index: 99999;
	position: fixed;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.7);
	top: 0;
	left: 0;
	/* display: none; */
	display: none;
}

.view_list {
    padding: 10px 0px;
    border-bottom: #ffce00 solid thin;
    margin: 10px 0px;
}

.station-name {
    font-size: 16px;
    font-weight: 600;
    line-height: 1.4;
    color: #59585c;
    margin-bottom: 10px;
}

.text-gray {
    color: #6A6A6A;
}

.bg-gray {
    background: #6A6A6A;
}

.bg-red {
    background: #E50110;
}

.bg-green {
    background: #66b068;
}

.bg-white {
    background: #f3f3f3;
}

.bg-yellow {
    background: #ffce00;
}

.bg-white {
    background: #ffffff;
}

.mix-status {
    border-radius: 50px;
    padding: 5px 10px;
    color: #ffffff;
    font-size: 14px;
    font-weight: 600;
}

.demo_container {
    background: #f0f0f0;
    padding: 10px;
    color: #ab1c2b;
}

.left_panel_item {
    padding: 10px;
    border-radius: 5px;
    background: rgb(50, 50, 50, 0);
    margin-bottom: 10px;
    color: #ffffff;
    font-size: 16px;
    font-weight: 600;
    line-height: 1.4;
    padding: 15px 10px;
}

.left_panel_item.main {
    color: #FFC800;
}

.left_panel_item.name {
    font-size: 24px;
    font-weight: 600;
    line-height: 1.4;
    padding: 15px 10px;
    background: #FFC80000;
    color: #FFFFFF;
}

.left_panel_item img {
    width: 20px;
    margin-right: 10px;
}

.setting_row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    border-bottom: 1px solid #e0e0e0;
}

.setting_row .title {
    font-size: 16px;
    font-weight: 600;
    line-height: 1.4;
    color: #59585c;
}

.setting_row .content {
    font-size: 16px;
    font-weight: 400;
    line-height: 1.4;
    color: #59585c; 
}

.btn {

}
.btn_ecoco {
    background-color: #FFC800;
    color: #222222;
    font-weight: 600;
    border-radius: 200px !important;
    font-size: 18px;
    padding: 6px 10px !important;
    border: none;
}

.btn_ecoco:hover {
    background-color: #FFC800 !important;
    color: #000000 !important;
}

.btn_ecoco:focus {
    background-color: #FFC800 !important;
    color: #000000 !important;
}

.btn_ecoco.small {
    font-size: 14px;
    padding: 4px 8px !important;
}   

.btn_ecoco.tiny {
    font-size: 12px;
    padding: 2px 6px !important;
}

.w-100 {
    width: 100%;
}

.btn.btn-primary.btn_f {
    background-color: #FFC800;;
    font-weight: 600;
    color: #000000;
    border-color: #e1b205;

}

.modal-result {
    font-weight: 600;
    color: #d64b1a;
}

small{
    font-size: 12px;
}